
import pandas as pd

data = [10,20,30]

df = pd.DataFrame(data)
print(df)
print(df.dtypes, "\n")

data = [['Alex',10],['Bob',12],['Clarke',13]]

df = pd.DataFrame(data)
print(df)
print(df.dtypes, "\n")

df = pd.DataFrame(data, index=['a','b','c'])
print(df)
print(df.dtypes, "\n")

df = pd.DataFrame(data, columns=['x','y'])
print(df)
print(df.dtypes, "\n")

data = [['Alex',10, 1, 1],['Bob',12, 1, 1],['Clarke',13, 1, 1]]
df = pd.DataFrame(data)
print(df)
print(df.dtypes, "\n")

#data = [['Alex',10],['Bob',12],['Clarke',13]]
#df = pd.DataFrame(data, dtype={'string': ['foo'], 'float':[0.0]})
#print(df)
